Package weka.core.pmml.jaxbbindings

# Class DefineFunction

java.lang.Object
weka.core.pmml.jaxbbindings.DefineFunction

public class DefineFunction extends Object

Java class for DefineFunction element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="DefineFunction">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ParameterField" maxOccurs="unbounded"/>
               <group ref="{http://www.dmg.org/PMML-4_1}EXPRESSION"/>
             </sequence>
             <attribute name="dataType" type="{http://www.dmg.org/PMML-4_1}DATATYPE" />
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="optype" use="required" type="{http://www.dmg.org/PMML-4_1}OPTYPE" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefineFunction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Aggregate`
  `getAggregate()`
  Gets the value of the aggregate property.
  `Apply`
  `getApply()`
  Gets the value of the apply property.
  `Constant`
  `getConstant()`
  Gets the value of the constant property.
  `DATATYPE`
  `getDataType()`
  Gets the value of the dataType property.
  `Discretize`
  `getDiscretize()`
  Gets the value of the discretize property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `FieldRef`
  `getFieldRef()`
  Gets the value of the fieldRef property.
  `MapValues`
  `getMapValues()`
  Gets the value of the mapValues property.
  `String`
  `getName()`
  Gets the value of the name property.
  `NormContinuous`
  `getNormContinuous()`
  Gets the value of the normContinuous property.
  `NormDiscrete`
  `getNormDiscrete()`
  Gets the value of the normDiscrete property.
  `OPTYPE`
  `getOptype()`
  Gets the value of the optype property.
  `List<ParameterField>`
  `getParameterField()`
  Gets the value of the parameterField property.
  `void`
  `setAggregate(Aggregate value)`
  Sets the value of the aggregate property.
  `void`
  `setApply(Apply value)`
  Sets the value of the apply property.
  `void`
  `setConstant(Constant value)`
  Sets the value of the constant property.
  `void`
  `setDataType(DATATYPE value)`
  Sets the value of the dataType property.
  `void`
  `setDiscretize(Discretize value)`
  Sets the value of the discretize property.
  `void`
  `setFieldRef(FieldRef value)`
  Sets the value of the fieldRef property.
  `void`
  `setMapValues(MapValues value)`
  Sets the value of the mapValues property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setNormContinuous(NormContinuous value)`
  Sets the value of the normContinuous property.
  `void`
  `setNormDiscrete(NormDiscrete value)`
  Sets the value of the normDiscrete property.
  `void`
  `setOptype(OPTYPE value)`
  Sets the value of the optype property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefineFunction

    public DefineFunction()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getParameterField

    public List<ParameterField> getParameterField()
    Gets the value of the parameterField property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameterField property.

    For example, to add a new item, do as follows:

            getParameterField().add(newItem);

    Objects of the following type(s) are allowed in the list `ParameterField`

  - ### getConstant

    public Constant getConstant()
    Gets the value of the constant property.
    Returns:
      possible object is `Constant`

  - ### setConstant

    public void setConstant(Constant value)
    Sets the value of the constant property.
    Parameters:
      `value` - allowed object is `Constant`

  - ### getFieldRef

    public FieldRef getFieldRef()
    Gets the value of the fieldRef property.
    Returns:
      possible object is `FieldRef`

  - ### setFieldRef

    public void setFieldRef(FieldRef value)
    Sets the value of the fieldRef property.
    Parameters:
      `value` - allowed object is `FieldRef`

  - ### getNormContinuous

    public NormContinuous getNormContinuous()
    Gets the value of the normContinuous property.
    Returns:
      possible object is `NormContinuous`

  - ### setNormContinuous

    public void setNormContinuous(NormContinuous value)
    Sets the value of the normContinuous property.
    Parameters:
      `value` - allowed object is `NormContinuous`

  - ### getNormDiscrete

    public NormDiscrete getNormDiscrete()
    Gets the value of the normDiscrete property.
    Returns:
      possible object is `NormDiscrete`

  - ### setNormDiscrete

    public void setNormDiscrete(NormDiscrete value)
    Sets the value of the normDiscrete property.
    Parameters:
      `value` - allowed object is `NormDiscrete`

  - ### getDiscretize

    public Discretize getDiscretize()
    Gets the value of the discretize property.
    Returns:
      possible object is `Discretize`

  - ### setDiscretize

    public void setDiscretize(Discretize value)
    Sets the value of the discretize property.
    Parameters:
      `value` - allowed object is `Discretize`

  - ### getMapValues

    public MapValues getMapValues()
    Gets the value of the mapValues property.
    Returns:
      possible object is `MapValues`

  - ### setMapValues

    public void setMapValues(MapValues value)
    Sets the value of the mapValues property.
    Parameters:
      `value` - allowed object is `MapValues`

  - ### getApply

    public Apply getApply()
    Gets the value of the apply property.
    Returns:
      possible object is `Apply`

  - ### setApply

    public void setApply(Apply value)
    Sets the value of the apply property.
    Parameters:
      `value` - allowed object is `Apply`

  - ### getAggregate

    public Aggregate getAggregate()
    Gets the value of the aggregate property.
    Returns:
      possible object is `Aggregate`

  - ### setAggregate

    public void setAggregate(Aggregate value)
    Sets the value of the aggregate property.
    Parameters:
      `value` - allowed object is `Aggregate`

  - ### getDataType

    public DATATYPE getDataType()
    Gets the value of the dataType property.
    Returns:
      possible object is `DATATYPE`

  - ### setDataType

    public void setDataType(DATATYPE value)
    Sets the value of the dataType property.
    Parameters:
      `value` - allowed object is `DATATYPE`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOptype

    public OPTYPE getOptype()
    Gets the value of the optype property.
    Returns:
      possible object is `OPTYPE`

  - ### setOptype

    public void setOptype(OPTYPE value)
    Sets the value of the optype property.
    Parameters:
      `value` - allowed object is `OPTYPE`